### Method

# Soup Multipart append_form_string

#### Declaration [src]

    void
    soup_multipart_append_form_string (
      SoupMultipart* multipart,
      const char* control_name,
      const char* data
    )

#### Description [src]

Adds a new MIME part containing `data` to `multipart`.

Uses “Content-Disposition: form-data”, as per the HTML forms specification.

#### Parameters

`control_name`

  Type: `const char*`

  The name of the control associated with `data`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `const char*`

  The body data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.